Index: testsuites/validation/tc-barrier-delete.c
===================================================================
--- testsuites/validation/tc-barrier-delete.c	(revision 1ce127e9dfd226724f3bba01db1bd92c15da8755)
+++ testsuites/validation/tc-barrier-delete.c	(revision e76470dfa76b48f01a0f5bd5263f3b16b95766bd)
@@ -67,6 +67,6 @@
 
 typedef enum {
-  RtemsBarrierReqDelete_Pre_Id_Valid,
-  RtemsBarrierReqDelete_Pre_Id_Invalid,
+  RtemsBarrierReqDelete_Pre_Id_NoObj,
+  RtemsBarrierReqDelete_Pre_Id_Barrier,
   RtemsBarrierReqDelete_Pre_Id_NA
 } RtemsBarrierReqDelete_Pre_Id;
@@ -79,8 +79,8 @@
 
 typedef enum {
-  RtemsBarrierReqDelete_Post_Id_Valid,
-  RtemsBarrierReqDelete_Post_Id_Invalid,
-  RtemsBarrierReqDelete_Post_Id_NA
-} RtemsBarrierReqDelete_Post_Id;
+  RtemsBarrierReqDelete_Post_Name_Valid,
+  RtemsBarrierReqDelete_Post_Name_Invalid,
+  RtemsBarrierReqDelete_Post_Name_NA
+} RtemsBarrierReqDelete_Post_Name;
 
 typedef enum {
@@ -122,6 +122,6 @@
 
 static const char * const RtemsBarrierReqDelete_PreDesc_Id[] = {
-  "Valid",
-  "Invalid",
+  "NoObj",
+  "Barrier",
   "NA"
 };
@@ -183,17 +183,17 @@
 {
   switch ( state ) {
-    case RtemsBarrierReqDelete_Pre_Id_Valid: {
-      /*
-       * The ``id`` parameter shall be associated with the barrier.
+    case RtemsBarrierReqDelete_Pre_Id_NoObj: {
+      /*
+       * The ``id`` parameter shall not be associated with a barrier.
+       */
+      ctx->id = 0;
+      break;
+    }
+
+    case RtemsBarrierReqDelete_Pre_Id_Barrier: {
+      /*
+       * The ``id`` parameter shall be associated with a barrier.
        */
       ctx->id = ctx->barrier_id;
-      break;
-    }
-
-    case RtemsBarrierReqDelete_Pre_Id_Invalid: {
-      /*
-       * The ``id`` parameter shall be invalid.
-       */
-      ctx->id = 0;
       break;
     }
@@ -232,7 +232,7 @@
 }
 
-static void RtemsBarrierReqDelete_Post_Id_Check(
-  RtemsBarrierReqDelete_Context *ctx,
-  RtemsBarrierReqDelete_Post_Id  state
+static void RtemsBarrierReqDelete_Post_Name_Check(
+  RtemsBarrierReqDelete_Context  *ctx,
+  RtemsBarrierReqDelete_Post_Name state
 )
 {
@@ -241,5 +241,5 @@
 
   switch ( state ) {
-    case RtemsBarrierReqDelete_Post_Id_Valid: {
+    case RtemsBarrierReqDelete_Post_Name_Valid: {
       /*
        * The unique object name shall identify the barrier.
@@ -252,5 +252,5 @@
     }
 
-    case RtemsBarrierReqDelete_Post_Id_Invalid: {
+    case RtemsBarrierReqDelete_Post_Name_Invalid: {
       /*
        * The unique object name shall not identify the barrier.
@@ -261,5 +261,5 @@
     }
 
-    case RtemsBarrierReqDelete_Post_Id_NA:
+    case RtemsBarrierReqDelete_Post_Name_NA:
       break;
   }
@@ -379,11 +379,11 @@
 static const uint8_t RtemsBarrierReqDelete_TransitionMap[][ 3 ] = {
   {
+    RtemsBarrierReqDelete_Post_Status_InvId,
+    RtemsBarrierReqDelete_Post_Name_Valid,
+    RtemsBarrierReqDelete_Post_Flush_No
+  }, {
     RtemsBarrierReqDelete_Post_Status_Ok,
-    RtemsBarrierReqDelete_Post_Id_Invalid,
+    RtemsBarrierReqDelete_Post_Name_Invalid,
     RtemsBarrierReqDelete_Post_Flush_Yes
-  }, {
-    RtemsBarrierReqDelete_Post_Status_InvId,
-    RtemsBarrierReqDelete_Post_Id_Valid,
-    RtemsBarrierReqDelete_Post_Flush_No
   }
 };
@@ -423,4 +423,9 @@
     sc = rtems_barrier_delete( ctx->barrier_id );
     T_rsc_success( sc );
+
+    ++ctx->wait_expected;
+    T_eq_u32( ctx->wait_done, ctx->wait_expected );
+
+    ctx->barrier_id = 0;
   }
 }
@@ -439,5 +444,5 @@
 
   for (
-    ctx->pcs[ 0 ] = RtemsBarrierReqDelete_Pre_Id_Valid;
+    ctx->pcs[ 0 ] = RtemsBarrierReqDelete_Pre_Id_NoObj;
     ctx->pcs[ 0 ] < RtemsBarrierReqDelete_Pre_Id_NA;
     ++ctx->pcs[ 0 ]
@@ -460,5 +465,5 @@
       RtemsBarrierReqDelete_TransitionMap[ index ][ 0 ]
     );
-    RtemsBarrierReqDelete_Post_Id_Check(
+    RtemsBarrierReqDelete_Post_Name_Check(
       ctx,
       RtemsBarrierReqDelete_TransitionMap[ index ][ 1 ]
Index: testsuites/validation/tc-barrier-release.c
===================================================================
--- testsuites/validation/tc-barrier-release.c	(revision 1ce127e9dfd226724f3bba01db1bd92c15da8755)
+++ testsuites/validation/tc-barrier-release.c	(revision e76470dfa76b48f01a0f5bd5263f3b16b95766bd)
@@ -68,9 +68,9 @@
 
 typedef enum {
-  RtemsBarrierReqRelease_Pre_Barrier_NoObj,
-  RtemsBarrierReqRelease_Pre_Barrier_Manual,
-  RtemsBarrierReqRelease_Pre_Barrier_Auto,
-  RtemsBarrierReqRelease_Pre_Barrier_NA
-} RtemsBarrierReqRelease_Pre_Barrier;
+  RtemsBarrierReqRelease_Pre_Id_NoObj,
+  RtemsBarrierReqRelease_Pre_Id_Manual,
+  RtemsBarrierReqRelease_Pre_Id_Auto,
+  RtemsBarrierReqRelease_Pre_Id_NA
+} RtemsBarrierReqRelease_Pre_Id;
 
 typedef enum {
@@ -134,5 +134,5 @@
   RtemsBarrierReqRelease_Instance;
 
-static const char * const RtemsBarrierReqRelease_PreDesc_Barrier[] = {
+static const char * const RtemsBarrierReqRelease_PreDesc_Id[] = {
   "NoObj",
   "Manual",
@@ -154,5 +154,5 @@
 
 static const char * const * const RtemsBarrierReqRelease_PreDesc[] = {
-  RtemsBarrierReqRelease_PreDesc_Barrier,
+  RtemsBarrierReqRelease_PreDesc_Id,
   RtemsBarrierReqRelease_PreDesc_Released,
   RtemsBarrierReqRelease_PreDesc_Waiting,
@@ -207,13 +207,13 @@
 }
 
-static void RtemsBarrierReqRelease_Pre_Barrier_Prepare(
-  RtemsBarrierReqRelease_Context    *ctx,
-  RtemsBarrierReqRelease_Pre_Barrier state
+static void RtemsBarrierReqRelease_Pre_Id_Prepare(
+  RtemsBarrierReqRelease_Context *ctx,
+  RtemsBarrierReqRelease_Pre_Id   state
 )
 {
   switch ( state ) {
-    case RtemsBarrierReqRelease_Pre_Barrier_NoObj: {
-      /*
-       * The ``id`` parameter shall be invalid.
+    case RtemsBarrierReqRelease_Pre_Id_NoObj: {
+      /*
+       * The ``id`` parameter shall not be associated with a barrier.
        */
       ctx->id = 0xffffffff;
@@ -221,5 +221,5 @@
     }
 
-    case RtemsBarrierReqRelease_Pre_Barrier_Manual: {
+    case RtemsBarrierReqRelease_Pre_Id_Manual: {
       /*
        * The ``id`` parameter shall be associated with a manual release
@@ -230,5 +230,5 @@
     }
 
-    case RtemsBarrierReqRelease_Pre_Barrier_Auto: {
+    case RtemsBarrierReqRelease_Pre_Id_Auto: {
       /*
        * The ``id`` parameter shall be associated with an automatic release
@@ -239,5 +239,5 @@
     }
 
-    case RtemsBarrierReqRelease_Pre_Barrier_NA:
+    case RtemsBarrierReqRelease_Pre_Id_NA:
       break;
   }
@@ -523,5 +523,5 @@
 static const struct {
   uint8_t Skip : 1;
-  uint8_t Pre_Barrier_NA : 1;
+  uint8_t Pre_Id_NA : 1;
   uint8_t Pre_Released_NA : 1;
   uint8_t Pre_Waiting_NA : 1;
@@ -574,11 +574,11 @@
 
   for (
-    ctx->pcs[ 0 ] = RtemsBarrierReqRelease_Pre_Barrier_NoObj;
-    ctx->pcs[ 0 ] < RtemsBarrierReqRelease_Pre_Barrier_NA;
+    ctx->pcs[ 0 ] = RtemsBarrierReqRelease_Pre_Id_NoObj;
+    ctx->pcs[ 0 ] < RtemsBarrierReqRelease_Pre_Id_NA;
     ++ctx->pcs[ 0 ]
   ) {
-    if ( RtemsBarrierReqRelease_TransitionInfo[ index ].Pre_Barrier_NA ) {
-      ctx->pcs[ 0 ] = RtemsBarrierReqRelease_Pre_Barrier_NA;
-      index += ( RtemsBarrierReqRelease_Pre_Barrier_NA - 1 )
+    if ( RtemsBarrierReqRelease_TransitionInfo[ index ].Pre_Id_NA ) {
+      ctx->pcs[ 0 ] = RtemsBarrierReqRelease_Pre_Id_NA;
+      index += ( RtemsBarrierReqRelease_Pre_Id_NA - 1 )
         * RtemsBarrierReqRelease_Pre_Released_NA
         * RtemsBarrierReqRelease_Pre_Waiting_NA;
@@ -611,5 +611,5 @@
         }
 
-        RtemsBarrierReqRelease_Pre_Barrier_Prepare( ctx, ctx->pcs[ 0 ] );
+        RtemsBarrierReqRelease_Pre_Id_Prepare( ctx, ctx->pcs[ 0 ] );
         RtemsBarrierReqRelease_Pre_Released_Prepare( ctx, ctx->pcs[ 1 ] );
         RtemsBarrierReqRelease_Pre_Waiting_Prepare( ctx, ctx->pcs[ 2 ] );
Index: testsuites/validation/tc-barrier-wait.c
===================================================================
--- testsuites/validation/tc-barrier-wait.c	(revision 1ce127e9dfd226724f3bba01db1bd92c15da8755)
+++ testsuites/validation/tc-barrier-wait.c	(revision e76470dfa76b48f01a0f5bd5263f3b16b95766bd)
@@ -67,9 +67,9 @@
 
 typedef enum {
-  RtemsBarrierReqWait_Pre_Barrier_NoObj,
-  RtemsBarrierReqWait_Pre_Barrier_Manual,
-  RtemsBarrierReqWait_Pre_Barrier_Auto,
-  RtemsBarrierReqWait_Pre_Barrier_NA
-} RtemsBarrierReqWait_Pre_Barrier;
+  RtemsBarrierReqWait_Pre_Id_NoObj,
+  RtemsBarrierReqWait_Pre_Id_Manual,
+  RtemsBarrierReqWait_Pre_Id_Auto,
+  RtemsBarrierReqWait_Pre_Id_NA
+} RtemsBarrierReqWait_Pre_Id;
 
 typedef enum {
@@ -131,5 +131,5 @@
   RtemsBarrierReqWait_Instance;
 
-static const char * const RtemsBarrierReqWait_PreDesc_Barrier[] = {
+static const char * const RtemsBarrierReqWait_PreDesc_Id[] = {
   "NoObj",
   "Manual",
@@ -153,5 +153,5 @@
 
 static const char * const * const RtemsBarrierReqWait_PreDesc[] = {
-  RtemsBarrierReqWait_PreDesc_Barrier,
+  RtemsBarrierReqWait_PreDesc_Id,
   RtemsBarrierReqWait_PreDesc_Timeout,
   RtemsBarrierReqWait_PreDesc_Satisfy,
@@ -257,13 +257,13 @@
 }
 
-static void RtemsBarrierReqWait_Pre_Barrier_Prepare(
-  RtemsBarrierReqWait_Context    *ctx,
-  RtemsBarrierReqWait_Pre_Barrier state
+static void RtemsBarrierReqWait_Pre_Id_Prepare(
+  RtemsBarrierReqWait_Context *ctx,
+  RtemsBarrierReqWait_Pre_Id   state
 )
 {
   switch ( state ) {
-    case RtemsBarrierReqWait_Pre_Barrier_NoObj: {
-      /*
-       * The ``id`` parameter shall be invalid.
+    case RtemsBarrierReqWait_Pre_Id_NoObj: {
+      /*
+       * The ``id`` parameter shall not be associated with a barrier.
        */
       ctx->id = 0xffffffff;
@@ -271,5 +271,5 @@
     }
 
-    case RtemsBarrierReqWait_Pre_Barrier_Manual: {
+    case RtemsBarrierReqWait_Pre_Id_Manual: {
       /*
        * The ``id`` parameter shall be associated with a manual release
@@ -280,5 +280,5 @@
     }
 
-    case RtemsBarrierReqWait_Pre_Barrier_Auto: {
+    case RtemsBarrierReqWait_Pre_Id_Auto: {
       /*
        * The ``id`` parameter shall be associated with an automatic release
@@ -289,5 +289,5 @@
     }
 
-    case RtemsBarrierReqWait_Pre_Barrier_NA:
+    case RtemsBarrierReqWait_Pre_Id_NA:
       break;
   }
@@ -609,5 +609,5 @@
 static const struct {
   uint8_t Skip : 1;
-  uint8_t Pre_Barrier_NA : 1;
+  uint8_t Pre_Id_NA : 1;
   uint8_t Pre_Timeout_NA : 1;
   uint8_t Pre_Satisfy_NA : 1;
@@ -682,11 +682,11 @@
 
   for (
-    ctx->pcs[ 0 ] = RtemsBarrierReqWait_Pre_Barrier_NoObj;
-    ctx->pcs[ 0 ] < RtemsBarrierReqWait_Pre_Barrier_NA;
+    ctx->pcs[ 0 ] = RtemsBarrierReqWait_Pre_Id_NoObj;
+    ctx->pcs[ 0 ] < RtemsBarrierReqWait_Pre_Id_NA;
     ++ctx->pcs[ 0 ]
   ) {
-    if ( RtemsBarrierReqWait_TransitionInfo[ index ].Pre_Barrier_NA ) {
-      ctx->pcs[ 0 ] = RtemsBarrierReqWait_Pre_Barrier_NA;
-      index += ( RtemsBarrierReqWait_Pre_Barrier_NA - 1 )
+    if ( RtemsBarrierReqWait_TransitionInfo[ index ].Pre_Id_NA ) {
+      ctx->pcs[ 0 ] = RtemsBarrierReqWait_Pre_Id_NA;
+      index += ( RtemsBarrierReqWait_Pre_Id_NA - 1 )
         * RtemsBarrierReqWait_Pre_Timeout_NA
         * RtemsBarrierReqWait_Pre_Satisfy_NA;
@@ -719,5 +719,5 @@
         }
 
-        RtemsBarrierReqWait_Pre_Barrier_Prepare( ctx, ctx->pcs[ 0 ] );
+        RtemsBarrierReqWait_Pre_Id_Prepare( ctx, ctx->pcs[ 0 ] );
         RtemsBarrierReqWait_Pre_Timeout_Prepare( ctx, ctx->pcs[ 1 ] );
         RtemsBarrierReqWait_Pre_Satisfy_Prepare( ctx, ctx->pcs[ 2 ] );
Index: testsuites/validation/tc-signal-send.c
===================================================================
--- testsuites/validation/tc-signal-send.c	(revision 1ce127e9dfd226724f3bba01db1bd92c15da8755)
+++ testsuites/validation/tc-signal-send.c	(revision e76470dfa76b48f01a0f5bd5263f3b16b95766bd)
@@ -373,5 +373,5 @@
     case RtemsSignalReqSend_Pre_Task_NoObj: {
       /*
-       * The ``id`` parameter shall be invalid.
+       * The ``id`` parameter shall not be associated with a task.
        */
       ctx->id = 0xffffffff;
Index: testsuites/validation/tc-task-construct-errors.c
===================================================================
--- testsuites/validation/tc-task-construct-errors.c	(revision 1ce127e9dfd226724f3bba01db1bd92c15da8755)
+++ testsuites/validation/tc-task-construct-errors.c	(revision e76470dfa76b48f01a0f5bd5263f3b16b95766bd)
@@ -421,5 +421,6 @@
     case RtemsTaskReqConstructErrors_Pre_Prio_Valid: {
       /*
-       * The initial priority of the task configuration shall be valid.
+       * The initial priority of the task configuration shall be valid and
+       * non-zero.
        */
       ctx->config.initial_priority = 254;
Index: testsuites/validation/tc-task-create-errors.c
===================================================================
--- testsuites/validation/tc-task-create-errors.c	(revision 1ce127e9dfd226724f3bba01db1bd92c15da8755)
+++ testsuites/validation/tc-task-create-errors.c	(revision e76470dfa76b48f01a0f5bd5263f3b16b95766bd)
@@ -384,5 +384,5 @@
     case RtemsTaskReqCreateErrors_Pre_Prio_Valid: {
       /*
-       * The ``initial_priority`` parameter shall be valid.
+       * The ``initial_priority`` parameter shall be valid and non-zero.
        */
       ctx->initial_priority = 254;
@@ -447,5 +447,6 @@
       /*
        * The ``initial_priority`` parameter shall be greater than or equal to
-       * the configured minimum size.
+       * the configured minimum size and less than or equal to the maximum
+       * stack size which can be allocated by the system.
        */
       ctx->stack_size = RTEMS_MINIMUM_STACK_SIZE;
